Name: xforms-i386
Version: 0.88
Serial: 19971122
Release: 3
Copyright: No source; non-commercial use
URL: http://bragg.phys.uwm.edu/xforms
Source0: ftp://einstein.phys.uwm.edu/pub/xforms/linux/elf/bxform-088.tgz
Packager: Ximenes Zalteca <ximenes@mythic.net>
Group: X11/Libraries
BuildRoot: /tmp/xforms-root
ExclusiveArch: i386
ExclusiveOS: Linux
Summary: Graphical user interface toolkit for X Window Systems

%changelog
* Sat Nov 22 1997 Ximenes Zalteca <ximenes@mythic.net> 0.88-3
- Took a wayward contrib package and mended it; it looks like the i386
  package was being built from the SPARC libraries and all sorts of
  strange things.
- Reinstated RedHat's subpackages
- Added support for BuildRoot and RPM_OPT_FLAGS

%description
Dummy master package for XForms 0.88 Linux/i386

%package -n xforms
Summary: Graphical user interface toolkit for X Window Systems
Group: X11/Libraries

%description -n xforms
XForms is a GUI toolkit based on Xlib for X Window Systems. It features a rich
set of objects, such as buttons, sliders, and menus etc. integrated into an easy
and efficient object/event callback execution model that allows fast and easy
construction of X-applications. In addition, the library is extensible and new
objects can easily be created and added to the library.

%package -n xforms-devel
Summary: Header files and libraries needed for development
Group: Development/Libraries

%description -n xforms-devel
Header files and libraries needed to develop applications for the XForms GUI
toolkit.

%package -n xforms-demos
Summary: Demo programs for XForms
Group: Development

%description -n xforms-demos
Demo programs and source for XForms.

%prep
%setup -n xforms

%build
make CCFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="${RPM_OPT_FLAGS} -s"

%install
mkdir -p "${RPM_BUILD_ROOT}"/usr/lib/xforms/DEMOS/
mkdir -p "${RPM_BUILD_ROOT}"/usr/X11R6/lib/
mkdir -p "${RPM_BUILD_ROOT}"/usr/X11R6/include/
mkdir -p "${RPM_BUILD_ROOT}"/usr/X11R6/bin/

for i in 1 5 ; do
    mkdir -p "${RPM_BUILD_ROOT}"/usr/X11R6/man/man$i/ ;
done

cp -arf DEMOS/ "${RPM_BUILD_ROOT}"/usr/lib/xforms/
cp -f mkconfig.h "${RPM_BUILD_ROOT}"/usr/lib/xforms/

cp -f fd2ps/fd2ps "${RPM_BUILD_ROOT}"/usr/X11R6/bin/
cp -f fd2ps/fd2ps.1 "${RPM_BUILD_ROOT}"/usr/X11R6/man/man1/
cp -f DESIGN/fdesign "${RPM_BUILD_ROOT}"/usr/X11R6/bin/
cp -f DESIGN/fdesign.1 "${RPM_BUILD_ROOT}"/usr/X11R6/man/man1/

cp -f FORMS/forms.h "${RPM_BUILD_ROOT}"/usr/X11R6/include/
cp -f FORMS/libforms.a "${RPM_BUILD_ROOT}"/usr/X11R6/lib/
cp -f FORMS/xforms.5 "${RPM_BUILD_ROOT}"/usr/X11R6/man/man5/
cp -f FORMS/libforms.so.0.88 "${RPM_BUILD_ROOT}"/usr/X11R6/lib/

( cd "${RPM_BUILD_ROOT}"/usr/X11R6/lib/ ; ln -sf libforms.so.0.88 libforms.so )
( cd "${RPM_BUILD_ROOT}"/usr/X11R6/man/man5/ ; ln -sf xforms.5 forms.5 )

%post -n xforms
ldconfig

%postun -n xforms
ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n xforms
%attr(0644, -, -) %doc Bugs Changes Copyright Readme
%attr(0755, -, -) /usr/X11R6/bin/fdesign
%attr(0755, -, -) /usr/X11R6/bin/fd2ps
%attr(0644, -, -) /usr/X11R6/lib/libforms.so.0.88
%attr(0644, -, -) /usr/X11R6/man/man1/fd2ps.1
%attr(0644, -, -) /usr/X11R6/man/man1/fdesign.1
%attr(0644, -, -) /usr/X11R6/man/man5/xforms.5
/usr/X11R6/man/man5/forms.5

%files -n xforms-devel
%attr(0644, -, -) /usr/X11R6/include/forms.h
%attr(0644, -, -) /usr/X11R6/lib/libforms.a
/usr/X11R6/lib/libforms.so

%files -n xforms-demos
%attr(0644, -, -) %dir /usr/lib/xforms/DEMOS/
%attr(0755, -, -) /usr/lib/xforms/DEMOS/*
%attr(0644, -, -) /usr/lib/xforms/mkconfig.h
